@echo off
rem ######################################################################
::
::	Putzi4win-Plugin - IE Cache leeren
::
rem ----------------------------------------------------------------------
::	2006-11-19   support@putzi4win.de   
::	2007-01-21   support@putzi4win.de   Test der reg.exe
::	2007-09-28   support@putzi4win.de   reg.exe mit shregv ersetzt
::	2008-01-28   support@putzi4win.de   metaWarning, zu V 1.0 erklaert
rem ######################################################################

rem ----------------------------------------------------------------------
::	CONFIG
rem ----------------------------------------------------------------------

	set commentLine=# -----------------------------------------------------------------------------
	set regValue=HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Explorer\Shell Folders\Cache


rem ----------------------------------------------------------------------
::	SHOW METADATA
rem ----------------------------------------------------------------------
	echo %commentLine%
	echo # METADATA
	echo %commentLine%
	echo metaNAME=IE Cache lschen
	echo metaVERSION=1.0
	echo metaAUTHOR=Axel Hahn
	echo metaCATEGORY=Browser
	echo metaURLINFO=
	echo metaURLDOWNLOAD=
	echo metaEMAIL=support@putzi4win.de
	echo metaWARNING=



rem ----------------------------------------------------------------------
::
::	SHOW DATA
::
rem ----------------------------------------------------------------------

	set CacheDir=
	For /F "tokens=2* delims==" %%i in ('%~dp0\tools\shregv "%regValue%" ^| findstr "="' ) Do set CacheDir=%%i
	echo metaDESCRIPTION=Lscht den Cache des Internet Explorers ^(%CacheDir%^)
	if "%1"=="/meta" goto end
	if "%CacheDir%"=="" echo ERROR:Das Cache-Verzeichnis wurde nicht gefunden. Bearbeitung wird abgebrochen. && goto end
	echo.

	echo %commentLine%
	echo # files in cache
	echo %commentLine%
	for /F "tokens=*" %%b in ('dir /a:-D /s /b "%CacheDir%"') do echo FILE:%%b
	echo.

	echo %commentLine%
	echo # directories in cache
	echo %commentLine%
	for /F "tokens=*" %%b in ('dir /a:D /s /b "%CacheDir%"') do echo DIR:%%b
	echo.

	echo %commentLine%
	echo # END OF PLUGIN
	echo %commentLine%
	goto end


rem ----------------------------------------------------------------------
::	END
rem ----------------------------------------------------------------------

	:end
	rem pause && exit


rem ----------------------------------------------------------------------
::	EOF
rem ----------------------------------------------------------------------
