@echo off
rem ######################################################################
::
::	Putzi4win-Plugin - Recent Docs
::
::	uses reg.exe
::	runs with Windows XP - not on versions below
::
rem ----------------------------------------------------------------------
::	2006-09-13   support@putzi4win.de
::	2006-10-31   support@putzi4win.de   abstract reading registry
::	2007-01-21   support@putzi4win.de   Test der reg.exe
::	2007-09-28   support@putzi4win.de   reg.exe mit shregv ersetzt
::	2008-01-28   support@putzi4win.de   metaWarning, zu V 1.0 erklaert
rem ######################################################################

rem ----------------------------------------------------------------------
::	CONFIG
rem ----------------------------------------------------------------------

	set commentLine=# -----------------------------------------------------------------------------

	set regValue=HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Explorer\Shell Folders\Recent
	:: count of documents to keep
	:: set iKeep=-1

rem ----------------------------------------------------------------------
::	SHOW METADATA
rem ----------------------------------------------------------------------
	echo %commentLine%
	echo # METADATA
	echo %commentLine%
	echo metaNAME=Recent Docs leeren
	echo metaVERSION=0.3
	echo metaAUTHOR=Axel Hahn
	:: echo metaDESCRIPTION=Lscht die zuletzt benutzten Dokumente
	echo metaCATEGORY=Windows
	echo metaURLINFO=
	echo metaURLDOWNLOAD=
	echo metaEMAIL=support@putzi4win.de
	echo metaWARNING=Dies sollten Sie nur aus Sicherheitsgrnden lschen.



rem ----------------------------------------------------------------------
::
::	SHOW DATA
::
rem ----------------------------------------------------------------------

	set RecentDir=
	For /F "tokens=2* delims==" %%i in ('%~dp0\tools\shregv "%regValue%" ^| findstr "="' ) Do set RecentDir=%%i
	echo metaDESCRIPTION=Lscht die Liste der zuletzt benutzten Dokumente ^(%RecentDir%^)
	if "%1"=="/meta" goto end
	if "%RecentDir%"=="" echo ERROR:Das Recent-Verzeichnis wurde nicht gefunden. Bearbeitung wird abgebrochen. && goto end
	echo.

	echo %commentLine%
	echo # files
	echo %commentLine%

	for /F "tokens=*" %%b in ('dir /a:-D /o:-D /b "%RecentDir%\*.*"') do echo FILE:%RecentDir%\%%b
	:: for /F "tokens=* skip=%iKeep%" %%b in ('dir /a:-D /o:-D /b "%RecentDir%\*.*"') do echo FILE:%RecentDir%\%%b
	echo.

	echo %commentLine%
	echo # END OF PLUGIN
	echo %commentLine%
	goto end


rem ----------------------------------------------------------------------
::	END
rem ----------------------------------------------------------------------

	:end
	rem pause && exit


rem ----------------------------------------------------------------------
::	EOF
rem ----------------------------------------------------------------------
