@echo off
rem ######################################################################
::
::	Putzi4win-Plugin - Firefox-Cache lschen
::
rem ----------------------------------------------------------------------
::	2006-09-13   support@putzi4win.de
::	2006-11-02   support@putzi4win.de   temporr hinzugefuegt: chcp 1252 
::	2007-01-21   support@putzi4win.de   Test der reg.exe
::	2007-09-28   support@putzi4win.de   reg.exe mit shregv ersetzt
::	2008-01-28   support@putzi4win.de   metaWarning, zu V 1.0 erklaert
rem ######################################################################

rem ----------------------------------------------------------------------
::	CONFIG
rem ----------------------------------------------------------------------

	set commentLine=# -----------------------------------------------------------------------------
	set regValue=HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Explorer\Shell Folders\Local AppData


rem ----------------------------------------------------------------------
::	SHOW METADATA
rem ----------------------------------------------------------------------
	echo %commentLine%
	echo # METADATA
	echo %commentLine%
	echo metaNAME=Firefox Cache lschen
	echo metaVERSION=1.0
	echo metaAUTHOR=Axel Hahn
	echo metaDESCRIPTION=lscht den Browser-Cache des Mozilla Firefox
	echo metaCATEGORY=Browser
	echo metaURLDOWNLOAD=
	echo metaEMAIL=support@putzi4win.de
	echo metaWARNING=
	if "%1"=="/meta" goto end
	echo.



rem ----------------------------------------------------------------------
::
::	SHOW DATA
::
rem ----------------------------------------------------------------------

	set DataDir1=%APPDATA%
	set DataDir2=
	For /F "tokens=2* delims==" %%i in ('%~dp0\tools\shregv "%regValue%" ^| findstr "="' ) Do set DataDir2=%%i
	if exist "%DataDir2%" set DataDir2=%DataDir2%\Mozilla\Firefox
	
	for /F "tokens=2 delims==" %%a in ('type "%APPDATA%\Mozilla\Firefox\profiles.ini" ^| findstr /i "^Path="') do (
		echo %commentLine%
		echo # files in cache %%a
		echo %commentLine%
		if exist "%%a\cache\" for /F "tokens=*" /F %%b in ('dir /a:-D /s /b "%%a\cache\"') do echo FILE:%%b
		if exist "%DataDir1%\%%a\cache\" for /F "tokens=*" /F %%b in ('dir /a:-D /s /b "%DataDir1%\%%a\cache\"') do echo FILE:%%b
		if exist "%DataDir2%\%%a\cache\" for /F "tokens=*" /F %%b in ('dir /a:-D /s /b "%DataDir2%\%%a\cache\"') do echo FILE:%%b
	)
	echo.

	echo %commentLine%
	echo # END OF PLUGIN
	echo %commentLine%

	goto end


rem ----------------------------------------------------------------------
::	END
rem ----------------------------------------------------------------------

	:end
	rem pause && exit


rem ----------------------------------------------------------------------
::	EOF
rem ----------------------------------------------------------------------
